<div id="root" class="d-flex flex-row" style="display:flex;position:relative;float:left;width:100%;height:100vh;overflow:hidden;">
  
  <!-- ################## SPINNER ##################-->
  <div *ngIf="bSpinner" class="" style="z-index:9999;position:absolute;top:0;height:100vh;width:100%;background-color:rgba(220,220,220,0.3);justify-content:center; align-items: center;flex-direction: column;display:flex;">
    <div class="nj-spinner" role="status"></div>
  </div> 

  <!-- MAIN MENU -->
  <div style="display:block;position:relative;float:left;height:100vh;"
    [ngStyle]="{'width': (loginStatus == false ? '0px' : '70px')}" >
    <!-- *ngIf="loginStatus == true"  -->
    <menu 
      class="p-0" 
      style="position:relative;float:left;"
      [ngStyle]="{'display': (loginStatus == false ? 'none' : 'block')}" >
    </menu>
  </div>

  <!-- PERSONAL MENU -->
  <!-- *ngIf="loginStatus == true"  -->
  <div 
    id="PersonalSidebar" 
    class="h-100 animation1" 
    style="display:block;position:absolute;z-index: 99999; width:30%;" 
    [ngStyle]="{'left': (personalVisible == false ? '100%' : '70%')}" >
      <personal class="brl p-0 w-100 h-100" ></personal>
  </div>


  <!-- NAVBAR -->
  <div style="position:relative;float:left;flex-direction: column;height:100vh;flex-grow: 4;">
    
    <div *ngIf="loginStatus" class="brl" class="width:97%;" 
      [ngStyle]="{'display': (loginStatus == false ? 'none' : 'block')}">
      <navbar></navbar>
    </div>

    <!-- ROUTER -->
    <div class="brl w-100 h-100" style="">
      <router-outlet></router-outlet>
    </div>
  </div>

  <!-- <div style="display:flex;flex-direction: column;flex:1;" id="rootMain">
      <div style="flex:1;justify-content:center; align-items: center;overflow:hidden">
      </div>
      <spinner *ngIf="spinner"></spinner>
      <spinner></spinner>
  </div> -->


</div>

